{% extends "crud_base.html" %}
<!--Content to be injected below-->
{% block content %}
<!--Needed for adding static files/pics-->
{% load static %}
<h1>CRUD operations</h1>
<!--classes used are specific to the bootstrap check docs for more css tags-->
<div class="album py-5 bg-light">
    <div class="container">
         <div class="row">
<!--             Python Templating that will loop through the database and pull all the objects-->
            {% for core in crudindex %}
                <div class="col-md-4">
<!--                    The objects for the db will be added to each bootstrapped card below-->
                    <div class="card mb-4 box-shadow">
                        <img class="card-img-top" src="{% static '/images/paper.jpg' %}" alt="Card image cap">
                        <div class="card-body">
<!--                            The url function is pulled for the model.py post and the title of the entry is added to card-->
                            <h4 class=""><a href="{{ core.get_absolute_url }}">{{ core.title }}</a></h4>
                                <p class="card-text"></p>
                            <div class="d-flex justify-content-between align-items-center">
                                <div class="">
                                    <small class="text-muted">9 mins</small>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
<!--             Needed whenever for, while, and if statements are used-->
             {% endfor %}
        </div>
    </div>
</div>

{% endblock %}